# Uses of Interface
org.eclipse.birt.report.engine.extension.IReportItemQuery

Packages that use IReportItemQuery
Package
Description
org.eclipse.birt.report.engine.extension
This package defines 3 key interfaces ---- IReportItemQuery, IReportItemGeneration, and IReportItemPresentation ---- that are used to process an extended item at query preparation, report generation and report rendering times.

## Uses of IReportItemQuery in org.eclipse.birt.report.engine.extension

Methods in org.eclipse.birt.report.engine.extension that return IReportItemQuery
Modifier and Type
Method
Description
`IReportItemQuery`
IExtendedItem.`createQuery()`